---
id: frozenlayer
name: Frozen Layer
description: "Frozen Layer is a SPANISH Public torrent site focused on ANIME"
language: es-ES
type: public
encoding: UTF-8
requestDelay: 2
links:
  - https://www.frozen-layer.com/

settings:
  - name: category
    type: select
    label: Category
    default: todos
    options:
      todos: todos
      anime: anime
      manga: manga
      dorama: dorama
      videojuego: videojuego
      BSO: BSO
      PV: PV
      otros: otros
  - name: info
    type: info
    label: Direct Downloads
    default: This definition filters for search results that contain .torrent and magnet only. Results for Direct Download are not supported.

caps:
  categorymappings:
    - {id: Anime, cat: TV/Anime, desc: "anime"}
    - {id: Manga, cat: TV/Anime, desc: "manga"}
    - {id: Dorama, cat: TV/Anime, desc: "dorama"}
    - {id: Videojuego, cat: TV/Anime, desc: "videojuego"}
    - {id: Bso, cat: TV/Anime, desc: "BSO"}
    - {id: Pv, cat: TV/Anime, desc: "PV"}
    - {id: Otros, cat: TV/Anime, desc: "otros"}

  modes:
    search: [q]
    tv-search: [q, season, ep]

search:
  paths:
    - path: "{{ if .Keywords }}buscar/descargas/{{ .Config.category }}/{{ .Keywords }}?search=Buscar{{ else }}descargas{{ end }}"
    - path: "{{ if .Keywords }}buscar/descargas/{{ .Config.category }}/{{ .Keywords }}?search=Buscar&{{ else }}descargas?{{ end }}page=2"
  keywordsfilters:
    - name: re_replace # remove first season from search string
      args: ["(?i)(S1)", ""]
    - name: re_replace # switch second season from search string
      args: ["(?i)(S2)", "segunda temporada"]
    - name: re_replace # switch third season from search string
      args: ["(?i)(S3)", "tercera temporada"]
    - name: re_replace # remove E from episode number from search string
      args: ["(?i)E([0-9]+)", "$1"]

  rows:
    selector: table#descargas > tbody > tr:has(td:has(a[href^="magnet:?"]))

  fields:
    category:
      text: "{{ if eq .Config.category \"todos\" }}Anime{{ else }}{{ .Config.category }}{{ end }}"
    title:
      selector: td.tit a
      filters:
        - name: re_replace
          args: ["\\/|\\(|\\)", " "]
        - name: re_replace
          args: ["([A-z]*) temporada", ""]
        - name: re_replace
          args: ["(?i)Sprimera|Ssegunda|Stercera", ""]
        - name: re_replace
          args: ["S([0-9]+) - Episodio ([0-9]+)", "$2"]
        - name: re_replace
          args: ["- Episodio ([0-9]*)", "$1"]
        - name: append
          args: " Spanish"
    details:
      selector: td.tit a
      attribute: href
    download:
      selector: td:nth-child(1) a[href$=".torrent"]
      attribute: href
    magnet:
      selector: td:nth-child(1) a[href^="magnet:?"]
      attribute: href
    date_day:
      # 1d
      # 2d 3h
      # 3 dias
      # 3h 14m
      optional: true
      selector: td.fecha:not(:contains("Jan:")):not(:contains("Feb")):not(:contains("Mar:")):not(:contains("Apr")):not(:contains("May:")):not(:contains("Jun")):not(:contains("Jul:")):not(:contains("Aug")):not(:contains("Sep:")):not(:contains("Oct")):not(:contains("Nov:")):not(:contains("Dec"))
      filters:
        - name: replace
          args: ["días", "days ago"]
        - name: timeago
    date_year:
      # 29 Oct 17
      optional: true
      selector: td.fecha:not(:contains("d")):not(:contains("h")):not(:contains("m"))
      filters:
        - name: append
          args: " +01:00" # CET
        - name: dateparse
          args: "dd MMM yy zzz"
    date:
      text: "{{ if or .Result.date_year .Result.date_day }}{{ or .Result.date_year .Result.date_day }}{{ else }}now{{ end }}"
    size:
      selector: td:nth-child(6)
    seeders:
      selector: td:nth-child(7)
    leechers:
      selector: td:nth-child(8)
    downloadvolumefactor:
      text: 0
    uploadvolumefactor:
      text: 1
# engine n/a
